Skip to main content
PUT
Error

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

groupId
string<uuid>
required

The group ID (UUID)

Body

application/json

The group fields to update

assignable
boolean

Whether the group can be assigned to records

approver
boolean

Whether the group can act as an approver

watchable
boolean

Whether the group can be used as a watcher

dynamic
boolean

Whether the group derives membership from email domains

hidden
boolean

Whether the group is hidden

tags
string[]

Group tags

dataAccess
boolean

Whether the group grants data access

name
string

The group name

userIds
string<uuid>[]

Member user IDs; non-dynamic groups only

domains
string[]

Email domains for auto-assignment; dynamic groups only

mentionable
boolean

Whether the group can be mentioned

Response

Ok

name
string

The group name

id
string<uuid>

The group ID

assignable
boolean

Whether the group can be assigned to records

watchable
boolean

Whether the group can be used as a watcher

mentionable
boolean

Whether the group can be mentioned

domains
object[]

Email auto-assignment domains (dynamic groups only)

managed
boolean

Whether the group is system-managed

dynamic
boolean

Whether the group is dynamic